Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network56.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
56.0.0.0
Broadcast address
59.255.255.255
First usable
56.0.0.1
Last usable
59.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 38000000 · Integer 939524096 to 1006632959
Reverse DNS zones
56.in-addr.arpa
57.in-addr.arpa
58.in-addr.arpa
59.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111000.00000000.00000000.0000000056.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00111000.00000000.00000000.0000000056.0.0.0
Broadcast00111011.11111111.11111111.1111111159.255.255.255
Split into smaller subnets/13

56.0.0.0/6 makes 128 subnets of /13.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
156.0.0.0/1356.0.0.1 to 56.7.255.25456.7.255.255524,286
256.8.0.0/1356.8.0.1 to 56.15.255.25456.15.255.255524,286
356.16.0.0/1356.16.0.1 to 56.23.255.25456.23.255.255524,286
456.24.0.0/1356.24.0.1 to 56.31.255.25456.31.255.255524,286
556.32.0.0/1356.32.0.1 to 56.39.255.25456.39.255.255524,286
656.40.0.0/1356.40.0.1 to 56.47.255.25456.47.255.255524,286
756.48.0.0/1356.48.0.1 to 56.55.255.25456.55.255.255524,286
856.56.0.0/1356.56.0.1 to 56.63.255.25456.63.255.255524,286
956.64.0.0/1356.64.0.1 to 56.71.255.25456.71.255.255524,286
1056.72.0.0/1356.72.0.1 to 56.79.255.25456.79.255.255524,286
1156.80.0.0/1356.80.0.1 to 56.87.255.25456.87.255.255524,286
1256.88.0.0/1356.88.0.1 to 56.95.255.25456.95.255.255524,286
1356.96.0.0/1356.96.0.1 to 56.103.255.25456.103.255.255524,286
1456.104.0.0/1356.104.0.1 to 56.111.255.25456.111.255.255524,286
1556.112.0.0/1356.112.0.1 to 56.119.255.25456.119.255.255524,286
1656.120.0.0/1356.120.0.1 to 56.127.255.25456.127.255.255524,286
1756.128.0.0/1356.128.0.1 to 56.135.255.25456.135.255.255524,286
1856.136.0.0/1356.136.0.1 to 56.143.255.25456.143.255.255524,286
1956.144.0.0/1356.144.0.1 to 56.151.255.25456.151.255.255524,286
2056.152.0.0/1356.152.0.1 to 56.159.255.25456.159.255.255524,286
2156.160.0.0/1356.160.0.1 to 56.167.255.25456.167.255.255524,286
2256.168.0.0/1356.168.0.1 to 56.175.255.25456.175.255.255524,286
2356.176.0.0/1356.176.0.1 to 56.183.255.25456.183.255.255524,286
2456.184.0.0/1356.184.0.1 to 56.191.255.25456.191.255.255524,286
2556.192.0.0/1356.192.0.1 to 56.199.255.25456.199.255.255524,286
2656.200.0.0/1356.200.0.1 to 56.207.255.25456.207.255.255524,286
2756.208.0.0/1356.208.0.1 to 56.215.255.25456.215.255.255524,286
2856.216.0.0/1356.216.0.1 to 56.223.255.25456.223.255.255524,286
2956.224.0.0/1356.224.0.1 to 56.231.255.25456.231.255.255524,286
3056.232.0.0/1356.232.0.1 to 56.239.255.25456.239.255.255524,286
3156.240.0.0/1356.240.0.1 to 56.247.255.25456.247.255.255524,286
3256.248.0.0/1356.248.0.1 to 56.255.255.25456.255.255.255524,286
3357.0.0.0/1357.0.0.1 to 57.7.255.25457.7.255.255524,286
3457.8.0.0/1357.8.0.1 to 57.15.255.25457.15.255.255524,286
3557.16.0.0/1357.16.0.1 to 57.23.255.25457.23.255.255524,286
3657.24.0.0/1357.24.0.1 to 57.31.255.25457.31.255.255524,286
3757.32.0.0/1357.32.0.1 to 57.39.255.25457.39.255.255524,286
3857.40.0.0/1357.40.0.1 to 57.47.255.25457.47.255.255524,286
3957.48.0.0/1357.48.0.1 to 57.55.255.25457.55.255.255524,286
4057.56.0.0/1357.56.0.1 to 57.63.255.25457.63.255.255524,286
4157.64.0.0/1357.64.0.1 to 57.71.255.25457.71.255.255524,286
4257.72.0.0/1357.72.0.1 to 57.79.255.25457.79.255.255524,286
4357.80.0.0/1357.80.0.1 to 57.87.255.25457.87.255.255524,286
4457.88.0.0/1357.88.0.1 to 57.95.255.25457.95.255.255524,286
4557.96.0.0/1357.96.0.1 to 57.103.255.25457.103.255.255524,286
4657.104.0.0/1357.104.0.1 to 57.111.255.25457.111.255.255524,286
4757.112.0.0/1357.112.0.1 to 57.119.255.25457.119.255.255524,286
4857.120.0.0/1357.120.0.1 to 57.127.255.25457.127.255.255524,286
4957.128.0.0/1357.128.0.1 to 57.135.255.25457.135.255.255524,286
5057.136.0.0/1357.136.0.1 to 57.143.255.25457.143.255.255524,286
5157.144.0.0/1357.144.0.1 to 57.151.255.25457.151.255.255524,286
5257.152.0.0/1357.152.0.1 to 57.159.255.25457.159.255.255524,286
5357.160.0.0/1357.160.0.1 to 57.167.255.25457.167.255.255524,286
5457.168.0.0/1357.168.0.1 to 57.175.255.25457.175.255.255524,286
5557.176.0.0/1357.176.0.1 to 57.183.255.25457.183.255.255524,286
5657.184.0.0/1357.184.0.1 to 57.191.255.25457.191.255.255524,286
5757.192.0.0/1357.192.0.1 to 57.199.255.25457.199.255.255524,286
5857.200.0.0/1357.200.0.1 to 57.207.255.25457.207.255.255524,286
5957.208.0.0/1357.208.0.1 to 57.215.255.25457.215.255.255524,286
6057.216.0.0/1357.216.0.1 to 57.223.255.25457.223.255.255524,286
6157.224.0.0/1357.224.0.1 to 57.231.255.25457.231.255.255524,286
6257.232.0.0/1357.232.0.1 to 57.239.255.25457.239.255.255524,286
6357.240.0.0/1357.240.0.1 to 57.247.255.25457.247.255.255524,286
6457.248.0.0/1357.248.0.1 to 57.255.255.25457.255.255.255524,286
6558.0.0.0/1358.0.0.1 to 58.7.255.25458.7.255.255524,286
6658.8.0.0/1358.8.0.1 to 58.15.255.25458.15.255.255524,286
6758.16.0.0/1358.16.0.1 to 58.23.255.25458.23.255.255524,286
6858.24.0.0/1358.24.0.1 to 58.31.255.25458.31.255.255524,286
6958.32.0.0/1358.32.0.1 to 58.39.255.25458.39.255.255524,286
7058.40.0.0/1358.40.0.1 to 58.47.255.25458.47.255.255524,286
7158.48.0.0/1358.48.0.1 to 58.55.255.25458.55.255.255524,286
7258.56.0.0/1358.56.0.1 to 58.63.255.25458.63.255.255524,286
7358.64.0.0/1358.64.0.1 to 58.71.255.25458.71.255.255524,286
7458.72.0.0/1358.72.0.1 to 58.79.255.25458.79.255.255524,286
7558.80.0.0/1358.80.0.1 to 58.87.255.25458.87.255.255524,286
7658.88.0.0/1358.88.0.1 to 58.95.255.25458.95.255.255524,286
7758.96.0.0/1358.96.0.1 to 58.103.255.25458.103.255.255524,286
7858.104.0.0/1358.104.0.1 to 58.111.255.25458.111.255.255524,286
7958.112.0.0/1358.112.0.1 to 58.119.255.25458.119.255.255524,286
8058.120.0.0/1358.120.0.1 to 58.127.255.25458.127.255.255524,286
8158.128.0.0/1358.128.0.1 to 58.135.255.25458.135.255.255524,286
8258.136.0.0/1358.136.0.1 to 58.143.255.25458.143.255.255524,286
8358.144.0.0/1358.144.0.1 to 58.151.255.25458.151.255.255524,286
8458.152.0.0/1358.152.0.1 to 58.159.255.25458.159.255.255524,286
8558.160.0.0/1358.160.0.1 to 58.167.255.25458.167.255.255524,286
8658.168.0.0/1358.168.0.1 to 58.175.255.25458.175.255.255524,286
8758.176.0.0/1358.176.0.1 to 58.183.255.25458.183.255.255524,286
8858.184.0.0/1358.184.0.1 to 58.191.255.25458.191.255.255524,286
8958.192.0.0/1358.192.0.1 to 58.199.255.25458.199.255.255524,286
9058.200.0.0/1358.200.0.1 to 58.207.255.25458.207.255.255524,286
9158.208.0.0/1358.208.0.1 to 58.215.255.25458.215.255.255524,286
9258.216.0.0/1358.216.0.1 to 58.223.255.25458.223.255.255524,286
9358.224.0.0/1358.224.0.1 to 58.231.255.25458.231.255.255524,286
9458.232.0.0/1358.232.0.1 to 58.239.255.25458.239.255.255524,286
9558.240.0.0/1358.240.0.1 to 58.247.255.25458.247.255.255524,286
9658.248.0.0/1358.248.0.1 to 58.255.255.25458.255.255.255524,286
9759.0.0.0/1359.0.0.1 to 59.7.255.25459.7.255.255524,286
9859.8.0.0/1359.8.0.1 to 59.15.255.25459.15.255.255524,286
9959.16.0.0/1359.16.0.1 to 59.23.255.25459.23.255.255524,286
10059.24.0.0/1359.24.0.1 to 59.31.255.25459.31.255.255524,286
10159.32.0.0/1359.32.0.1 to 59.39.255.25459.39.255.255524,286
10259.40.0.0/1359.40.0.1 to 59.47.255.25459.47.255.255524,286
10359.48.0.0/1359.48.0.1 to 59.55.255.25459.55.255.255524,286
10459.56.0.0/1359.56.0.1 to 59.63.255.25459.63.255.255524,286
10559.64.0.0/1359.64.0.1 to 59.71.255.25459.71.255.255524,286
10659.72.0.0/1359.72.0.1 to 59.79.255.25459.79.255.255524,286
10759.80.0.0/1359.80.0.1 to 59.87.255.25459.87.255.255524,286
10859.88.0.0/1359.88.0.1 to 59.95.255.25459.95.255.255524,286
10959.96.0.0/1359.96.0.1 to 59.103.255.25459.103.255.255524,286
11059.104.0.0/1359.104.0.1 to 59.111.255.25459.111.255.255524,286
11159.112.0.0/1359.112.0.1 to 59.119.255.25459.119.255.255524,286
11259.120.0.0/1359.120.0.1 to 59.127.255.25459.127.255.255524,286
11359.128.0.0/1359.128.0.1 to 59.135.255.25459.135.255.255524,286
11459.136.0.0/1359.136.0.1 to 59.143.255.25459.143.255.255524,286
11559.144.0.0/1359.144.0.1 to 59.151.255.25459.151.255.255524,286
11659.152.0.0/1359.152.0.1 to 59.159.255.25459.159.255.255524,286
11759.160.0.0/1359.160.0.1 to 59.167.255.25459.167.255.255524,286
11859.168.0.0/1359.168.0.1 to 59.175.255.25459.175.255.255524,286
11959.176.0.0/1359.176.0.1 to 59.183.255.25459.183.255.255524,286
12059.184.0.0/1359.184.0.1 to 59.191.255.25459.191.255.255524,286
12159.192.0.0/1359.192.0.1 to 59.199.255.25459.199.255.255524,286
12259.200.0.0/1359.200.0.1 to 59.207.255.25459.207.255.255524,286
12359.208.0.0/1359.208.0.1 to 59.215.255.25459.215.255.255524,286
12459.216.0.0/1359.216.0.1 to 59.223.255.25459.223.255.255524,286
12559.224.0.0/1359.224.0.1 to 59.231.255.25459.231.255.255524,286
12659.232.0.0/1359.232.0.1 to 59.239.255.25459.239.255.255524,286
12759.240.0.0/1359.240.0.1 to 59.247.255.25459.247.255.255524,286
12859.248.0.0/1359.248.0.1 to 59.255.255.25459.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses